<?php

// 获取用户首页的数据
require_once ("../user_include.inc");

ErrorLogger::doOutput("Compass...ajax_get_my_top_dat.php....Start.", 0);

//获取参数
$unionId = ParamUtil::getRequestString("unionId");

$result = array();

//参数检查
if(empty($unionId)) {
	$result["message"] = "参数错误！";
	responseNG($result);
}

//判断用户是否存在
$param = array();
$param['unionid'] = $unionId;
$param['delete_flg'] = false;
$userList = UserMst::getList($param,'id','desc', 0, 1);
if(empty($userList)) {
	$result["message"] = "用户不存在！";
	responseNG($result);
}

$userMst = $userList[0];


//组装返回数据
$result["name"] = $userMst->name;
$result["headerImg"] = $userMst->header_img;
$result["abilityPoint"] = $userMst->ability_point;
$result["servicePoint"] = $userMst->service_point;

ErrorLogger::doOutput("Compass...ajax_get_my_top_dat.php....End.", 0);

//返回结果
responseOK($result);

function responseNG($result) {
	$result = array("status"=>"NG", "result"=>$result);
	print json_encode($result);
	exit;
}
function responseOK($result) {
	$result = array("status"=>"OK", "result"=>$result);
	print json_encode($result);
	exit;
}
?>